Package org.lwjgl.opencl

# Class KHRGLSharing

java.lang.Object
org.lwjgl.opencl.KHRGLSharing

public final class KHRGLSharing extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CL_CGL_SHAREGROUP_KHR`
Accepted as an attribute name in the 'properties' argument of clCreateContext and clCreateContextFromType:
`static final int`
`CL_CURRENT_DEVICE_FOR_GL_CONTEXT_KHR`
Accepted as the <param_name> argument of clGetGLContextInfoKHR:
`static final int`
`CL_DEVICES_FOR_GL_CONTEXT_KHR`
Accepted as the <param_name> argument of clGetGLContextInfoKHR:
`static final int`
`CL_EGL_DISPLAY_KHR`
Accepted as an attribute name in the 'properties' argument of clCreateContext and clCreateContextFromType:
`static final int`
`CL_GL_CONTEXT_KHR`
Accepted as an attribute name in the 'properties' argument of clCreateContext and clCreateContextFromType:
`static final int`
`CL_GLX_DISPLAY_KHR`
Accepted as an attribute name in the 'properties' argument of clCreateContext and clCreateContextFromType:
`static final int`
`CL_INVALID_GL_SHAREGROUP_REFERENCE_KHR`
Returned by clCreateContext, clCreateContextFromType, and clGetGLContextInfoKHR when an invalid OpenGL context or share group object handle is specified in <properties>:
`static final int`
`CL_WGL_HDC_KHR`
Accepted as an attribute name in the 'properties' argument of clCreateContext and clCreateContextFromType:

## Method Summary

Modifier and Type
Method
Description
`static int`
`clGetGLContextInfoKHR(PointerBuffer properties, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CL_INVALID_GL_SHAREGROUP_REFERENCE_KHR

public static final int CL_INVALID_GL_SHAREGROUP_REFERENCE_KHR
Returned by clCreateContext, clCreateContextFromType, and clGetGLContextInfoKHR when an invalid OpenGL context or share group object handle is specified in <properties>:

See Also:
  - Constant Field Values

### CL_CURRENT_DEVICE_FOR_GL_CONTEXT_KHR

public static final int CL_CURRENT_DEVICE_FOR_GL_CONTEXT_KHR
Accepted as the <param_name> argument of clGetGLContextInfoKHR:

See Also:
  - Constant Field Values

### CL_DEVICES_FOR_GL_CONTEXT_KHR

public static final int CL_DEVICES_FOR_GL_CONTEXT_KHR
Accepted as the <param_name> argument of clGetGLContextInfoKHR:

See Also:
  - Constant Field Values

### CL_GL_CONTEXT_KHR

public static final int CL_GL_CONTEXT_KHR
Accepted as an attribute name in the 'properties' argument of clCreateContext and clCreateContextFromType:

See Also:
  - Constant Field Values

### CL_EGL_DISPLAY_KHR

public static final int CL_EGL_DISPLAY_KHR
Accepted as an attribute name in the 'properties' argument of clCreateContext and clCreateContextFromType:

See Also:
  - Constant Field Values

### CL_GLX_DISPLAY_KHR

public static final int CL_GLX_DISPLAY_KHR
Accepted as an attribute name in the 'properties' argument of clCreateContext and clCreateContextFromType:

See Also:
  - Constant Field Values

### CL_WGL_HDC_KHR

public static final int CL_WGL_HDC_KHR
Accepted as an attribute name in the 'properties' argument of clCreateContext and clCreateContextFromType:

See Also:
  - Constant Field Values

### CL_CGL_SHAREGROUP_KHR

public static final int CL_CGL_SHAREGROUP_KHR
Accepted as an attribute name in the 'properties' argument of clCreateContext and clCreateContextFromType:

See Also:
  - Constant Field Values

## Method Details

### clGetGLContextInfoKHR

public static int clGetGLContextInfoKHR(PointerBuffer properties, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)